Inhalte

# Anweisung RSet

Ordnet eine Zeichenfolge rechtsbündig innerhalb einer Zeichenfolgenvariablen an oder kopiert einen benutzerdefinierten Variablentyp in einen anderen.

### Syntax:

    RSet Text As String = Text oder RSet Variable1 = Variable2

### Parameter:

Text: Eine beliebige Zeichenfolgenvariable.

Text: Zeichenfolge, die Sie innerhalb der Zeichenfolgenvariablen rechts ausrichten möchten.

Variable1: Benutzerdefinierte Variable, die das Ziel für die kopierte Variable darstellt.

Variable2: Benutzerdefinierte Variable, die Sie in eine andere Variable kopieren möchten.

Ist die Zeichenfolge kürzer als die Zeichenfolgenvariable, ordnet die Anweisung RSet die Zeichenfolge rechtsbündig in der Zeichenfolgenvariablen an. Die freien Stellen der Zeichenfolgenvariablen werden mit Leerzeichen aufgefüllt. Ist die Zeichenfolge länger, werden nur so viele Zeichen der Zeichenfolge rechtsbündig in der Zeichenfolgenvariablen angeordnet, wie diese aufnehmen kann.

Sie können die Anweisung RSet auch verwenden, um Variablen eines benutzerdefinierten Typs einem anderen Typ zuzuweisen.

Das folgende Beispiel verwendet die Anweisungen RSet und LSet, um die Rechts-/Linksausrichtung einer Zeichenfolge zu ändern.

### Beispiel:

    Sub ExampleRLSet
    Dim sVar As String
    Dim sExpr As String
        sVar = String(40,"*")
        sExpr = "SBX"
        ' "SBX" im 40 Zeichen langen Referenzstring rechts ausrichten
        ' Die Sternchen durch Leerzeichen ersetzen
        RSet sVar = sExpr
        Print ">"; sVar; "<"
        sVar = String(5,"*")
        sExpr = "123457896"
        RSet sVar = sExpr
        Print ">"; sVar; "<"
        sVar = String(40,"*")
        sExpr = "SBX"
        ' "SBX" im 40 Zeichen langen Referenz-String links ausrichten
        LSet sVar = sExpr
        Print ">"; sVar; "<"
        sVar = String(5,"*")
        sExpr = "123456789"
        LSet sVar = sExpr
        Print ">"; sVar; "<"
    End Sub

Verwandte Themen

Zeichenfolgenfunktionen